Get a document template Run in API Explorer
Ask AI
GET
/api/v1/document-template/{documentTemplate_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/document-template/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
[
{
"uuid": "596a512b-e9fa-4158-919e-ae0ecd50bd90",
"created_at": "2026-11-16T13:00:51+00:00",
"updated_at": "2026-11-16T13:00:51+00:00",
"version": 3,
"name": "Welcome Template",
"required_dependants": {
"client-1": "client"
},
"public_docx_url": "https://api.plannrcrm.com/document-template/697847e4-c6ca-478a-87f2-94eb869718a2/content/docx?plannr_account_uuid=bf811377-8330-4209-b5fd-483944e0179e",
"public_sfdt_url": "https://api.plannrcrm.com/document-template/5d6b841d-6df1-404e-a81d-1b5eae4694a0/content/sfdt?plannr_account_uuid=b2e7de4d-a0be-4150-b5a7-bb665a8140fd",
"public_pdf_url": "https://api.plannrcrm.com/document-template/78489531-a4c4-4890-b399-42bf3c91f0f3/content/pdf?plannr_account_uuid=7680d3f8-f3c7-471b-b6ba-331ba2f29e93",
"public_preview_url": "https://api.plannrcrm.com/document-template/9fd7f741-a2ff-4baf-a249-7e298505c15b/content/preview?plannr_account_uuid=64b01708-b024-4c72-89e2-cbc89f239db1"
}
]